<?php
/**
 * Conversios Software
 *
 * @category Conversios
 * @package Conversios_GoogleAnalyticsAndShoppingIntegration
 * @author Conversios
 * @copyright Copyright (c)  Conversios Analytics LLC (https://conversios.io/)
 */
namespace Conversios\GoogleAnalyticsAndShoppingIntegration\Block\Adminhtml;

use Magento\Framework\Data\Form\Element\AbstractElement;
use Magento\Config\Block\System\Config\Form\Field;
use Conversios\GoogleAnalyticsAndShoppingIntegration\Helper\Data;

class DisableSystem extends Field
{

    /**
     * @var ScopeConfigInterface
     */
    protected $_scopeConfig;

    /**
     * @var
     */
    public $storeScope;

    /**
     * @var Data
     */
    public $_helper;

    /**
     * Undocumented function
     *
     * @param AbstractElement $element
     * @return void
     */
    public function _getElementHtml(AbstractElement $element)
    {
        
        $element->setData('readonly', 1);
        return $element->getElementHtml();
    }
}