<?php
/**
 * Conversios Software
 * @category Conversios
 * @package Conversios_GoogleAnalyticsAndShoppingIntegration
 * @author Conversios
 * @copyright Copyright (c)  Conversios Analytics LLC (https://conversios.io/)
 */

namespace Conversios\GoogleAnalyticsAndShoppingIntegration\Model\Config\Redirect\ProductSync;

class ProductSync
{
    protected $urlInterface;

    /**
     * Product sync model URL interface
     *
     * @param \Magento\Framework\UrlInterface $urlInterface
     */
    public function __construct(
        \Magento\Framework\UrlInterface $urlInterface
    ) {
        $this->urlInterface = $urlInterface;
    }

    public function getUrlInterfaceData()
    {
        return $this->urlInterface->getUrl('actionablegoogleanalytics/index/index');
    }
}
