<?php

/**
 * Conversios Software
 * @category Conversios
 * @package Conversios_GoogleAnalyticsAndShoppingIntegration
 * @author Conversios
 * @copyright Copyright (c)  Conversios Analytics LLC (https://conversios.io/)
 */

namespace Conversios\GoogleAnalyticsAndShoppingIntegration\Model\Config\Source;

class ConversionLable implements \Magento\Framework\Data\OptionSourceInterface
{
    /**
     * Method option array for system configuration field
     *
     * @return void
     */
    public function toOptionArray()
    {
        return [
            ['value' => '', 'label' => __('-- Select an Option --')],
            ['value' => 'retail', 'id' => 'retail', 'label' => __('Retail')],
            ['value' => 'education', 'id' => 'education', 'label' => __('Education')],
            ['value' => 'flights', 'id' => 'flights', 'label' => __('Flights')],
            ['value' => 'jobs', 'id' => 'jobs', 'label' => __('Jobs')],
            ['value' => 'localdeals', 'id' => 'localdeals', 'label' => __('Local deals')],
            ['value' => 'realestate', 'id' => 'realestate', 'label' => __('Real estate')],
            ['value' => 'travel', 'id' => 'travel', 'label' => __('Travel')],
            ['value' => 'custom', 'id' => 'custom', 'label' => __('Custom')]
        ];
    }
}
