<?php
/**
 * Conversios Software
 * @category Conversios
 * @package Conversios_GoogleAnalyticsAndShoppingIntegration
 * @author Conversios
 * @copyright Copyright (c)  Conversios Analytics LLC (https://conversios.io/)
 */
namespace Conversios\GoogleAnalyticsAndShoppingIntegration\Model\Config\Source;

class TimePeriod implements \Magento\Framework\Data\OptionSourceInterface
{
  /**
   * @return void
   */
 public function toOptionArray()
 {
    return [
  	  ['value' => '', 'label' => __('-- Select an Option --')],
      ['value' => 'year','id' => 'year', 'label' => __('Year')],
      ['value' => 'month','id' => 'month', 'label' => __('Month')],
      ['value' => 'day','id' => 'day', 'label' => __('Day')]
    ];
  }
}
