<?php
/**
 * Conversios Software
 * @category Conversios
 * @package Conversios_GoogleAnalyticsAndShoppingIntegration
 * @author Conversios
 * @copyright Copyright (c)  Conversios Analytics LLC (https://conversios.io/)
 */

namespace Conversios\GoogleAnalyticsAndShoppingIntegration\Model\ResourceModel;

class ActiveProducts implements \Magento\Framework\Data\OptionSourceInterface
{
    public function toOptionArray()
    {
        /**
         * Get Object Manager Instance
         */
        $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
        $_productCollectionFactory = $objectManager->get('\Magento\Catalog\Model\ResourceModel\Product\CollectionFactory');
        $sum = 0;
        $product_collection = $_productCollectionFactory->create();
        $product_collection->addAttributeToFilter('status', \Magento\Catalog\Model\Product\Attribute\Source\Status::STATUS_ENABLED);
        $sum = $product_collection->count();
        return [
            ['value' => '', 'label' => __($sum)]
        ];
    }
}
