<?php
/**
 * Conversios Software
 * @category Conversios
 * @package Conversios_GoogleAnalyticsAndShoppingIntegration
 * @author Conversios
 * @copyright Copyright (c)  Conversios Analytics LLC (https://conversios.io/)
 */
namespace Conversios\GoogleAnalyticsAndShoppingIntegration\Model\Config\Source;

class ListMode implements \Magento\Framework\Data\OptionSourceInterface
{
  /**
   * Method option array for system configuration field
   *
   * @return void
   */
 public function toOptionArray()
 {
  return [
  	['value' => '', 'label' => __('-- Select an Option --')],
    ['value' => 'gtag','id' => 'gtag', 'label' => __('gtag.js')],
    ['value' => 'analytics','id' => 'analytics', 'label' => __('analytics.js')]
  ];
 }
}
