<?php
/**
 * Conversios Software
 * @category Conversios
 * @package Conversios_GoogleAnalyticsAndShoppingIntegration
 * @author Conversios
 * @copyright Copyright (c)  Conversios Analytics LLC (https://conversios.io/)
 */
namespace Conversios\GoogleAnalyticsAndShoppingIntegration\Model\Config\Source;

class TrackingMode implements \Magento\Framework\Data\OptionSourceInterface
{
  /**
   * Tracking mode to option array
   *
   * @return void
   */
 public function toOptionArray()
 {
  return [
    ['value' => '', 'label' => __('-- Select an Option --')],
    ['value' => 'universal_analytics','id' => 'universal_analytics', 'label' => __('Universal Analytics')],
    ['value' => 'google_analytics_4','id' => 'google_analytics_4', 'label' => __('Google Analytics 4')],
    ['value' => 'both','id' => 'both', 'label' => __('Both (UA + GA4) ')]
  ];
 }
}
