<?php
/**
 * Conversios Software
 * @category Conversios
 * @package Conversios_GoogleAnalyticsAndShoppingIntegration
 * @author Conversios
 * @copyright Copyright (c)  Conversios Analytics LLC (https://conversios.io/)
 */

namespace Conversios\GoogleAnalyticsAndShoppingIntegration\Model\ResourceModel;

/**
 * Class Disapproved
 */
class Disapproved implements \Magento\Framework\Data\OptionSourceInterface
{
    public function toOptionArray()
    {
        /**
         * Get Object Manager Instance
         */
        $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
        $statFactory = $objectManager->get('\Conversios\GoogleAnalyticsAndShoppingIntegration\Block\Adminhtml\Index\Index');
        $collection = $statFactory->getStatistics();
        $disaproved = (int) $collection['disaproved'];
        return [
            ['value' => '', 'label' => __($disaproved)]
        ];
    }
}
