<?php
/**
 * Conversios Software
 * @category Conversios
 * @package Conversios_GoogleAnalyticsAndShoppingIntegration
 * @author Conversios
 * @copyright Copyright (c)  Conversios Analytics LLC (https://conversios.io/)
 */

namespace Conversios\GoogleAnalyticsAndShoppingIntegration\Model\ResourceModel\Product;

/**
 * Class Collection
 * This class provides collection of products
 */
class Collection extends \Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection
{

    /**
     * Define resource model
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init('Conversios\GoogleAnalyticsAndShoppingIntegration\Model\Product', 'Conversios\GoogleAnalyticsAndShoppingIntegration\Model\ResourceModel\Product');
        $this->_map['fields']['page_id'] = 'main_table.page_id';
    }
}